lwIP 2.1.0 Lightweight IP stack

Functions
lowpan6_ble.c File Reference
`#include "netif/lowpan6_ble.h"`
`#include "lwip/ip.h"`
`#include "lwip/pbuf.h"`
`#include "lwip/ip_addr.h"`
`#include "lwip/netif.h"`
`#include "lwip/nd6.h"`
`#include "lwip/mem.h"`
`#include "lwip/udp.h"`
`#include "lwip/tcpip.h"`
`#include "lwip/snmp.h"`
`#include <string.h>`

## Functions
void | ble_addr_to_eui64 (uint8_t *dst, const uint8_t *src, int public_addr)
void | eui64_to_ble_addr (uint8_t *dst, const uint8_t *src)
err_t | rfc7668_set_local_addr_eui64 (struct netif *netif, const u8_t *local_addr, size_t local_addr_len)
err_t | rfc7668_set_local_addr_mac48 (struct netif *netif, const u8_t *local_addr, size_t local_addr_len, int is_public_addr)
err_t | rfc7668_set_peer_addr_eui64 (struct netif *netif, const u8_t *peer_addr, size_t peer_addr_len)
err_t | rfc7668_set_peer_addr_mac48 (struct netif *netif, const u8_t *peer_addr, size_t peer_addr_len, int is_public_addr)
err_t | rfc7668_set_context (u8_t idx, const ip6_addr_t *context)
err_t | rfc7668_output (struct netif *netif, struct pbuf *q, const ip6_addr_t *ip6addr)
err_t | rfc7668_input (struct pbuf *p, struct netif *netif)
err_t | rfc7668_if_init (struct netif *netif)
err_t | tcpip_rfc7668_input (struct pbuf *p, struct netif *inp)

## Detailed Description

6LowPAN over BLE output for IPv6 (RFC7668).

## Function Documentation

## ◆ rfc7668_set_local_addr_eui64()

err_t rfc7668_set_local_addr_eui64 | ( | struct netif * | netif,
|  | const u8_t * | local_addr,
|  | size_t | local_addr_len
| ) |  |

Set the local address used for stateful compression. This expects an address of 8 bytes.

## ◆ rfc7668_set_local_addr_mac48()

err_t rfc7668_set_local_addr_mac48 | ( | struct netif * | netif,
|  | const u8_t * | local_addr,
|  | size_t | local_addr_len,
|  | int | is_public_addr
| ) |  |

Set the local address used for stateful compression. This expects an address of 6 bytes.

## ◆ rfc7668_set_peer_addr_eui64()

err_t rfc7668_set_peer_addr_eui64 | ( | struct netif * | netif,
|  | const u8_t * | peer_addr,
|  | size_t | peer_addr_len
| ) |  |

Set the peer address used for stateful compression. This expects an address of 8 bytes.

## ◆ rfc7668_set_peer_addr_mac48()

err_t rfc7668_set_peer_addr_mac48 | ( | struct netif * | netif,
|  | const u8_t * | peer_addr,
|  | size_t | peer_addr_len,
|  | int | is_public_addr
| ) |  |

Set the peer address used for stateful compression. This expects an address of 6 bytes.

## ◆ tcpip_rfc7668_input()

err_t tcpip_rfc7668_input | ( | struct pbuf * | p,
|  | struct netif * | inp
| ) |  |

Pass a received packet to tcpip_thread for input processing

Parameters

  p | the received packet, p->payload pointing to the IEEE 802.15.4 header.
  inp | the network interface on which the packet was received

Returns
  see tcpip_inpkt, same return values